Bug 480486 - Review Request: emacs-htmlize - Convert buffer text and decorations to HTML
Summary: Review Request: emacs-htmlize - Convert buffer text and decorations to HTML
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-17 16:57 UTC by Debarshi Ray
Modified: 2009-01-27 19:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-27 19:12:28 UTC
jochen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Debarshi Ray 2009-01-17 16:57:32 UTC
Spec URL: http://rishi.fedorapeople.org/emacs-htmlize.spec
SRPM URL: http://rishi.fedorapeople.org/emacs-htmlize-1.34-1.fc10.src.rpm

Description:
HTMLize is an add-on package for GNU Emacs. It converts the buffer text and
the associated decorations to HTML. The conversion is quite sophisticated, it
understands non-ascii characters, looks up colours in the X11 RGB database,
and can generate either CSS or old style font bits.

Comment 1 Debarshi Ray 2009-01-17 16:58:02 UTC
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1062155

Comment 2 Jochen Schmitt 2009-01-20 20:57:37 UTC
Good:
+ Package names fits with naming guideline of emacs addon
+ Basename of the SPEC files matches with package name
+ Package contains el subpackage for emacs source code
+ Package contains a valid License tag
+ Package contains GPLv2+ as a valid OSS license
+ Copyright note of source file matches with license tag
+ Could download source file from upstream via spectool -g
+ consistently usage of rpm macros
+ Packaged source metches with upstream
(md5sum: 7cc77e3e44beecb688b744464159af9e)
+ Local build works fine
+ Local install works fine
+ Local uninstall works fine
+ Koji build works fine
+ Buildroot will be cleaned on beginning of the %clean and %install stanza
+ Rümlint is quite on source package
+ Package contains subpackage for elisp source
+ el subpackage contains proper Req. to main package
+ Rpmlint ok for binary package
+ Packaged files contains proper files permissions
+ Packaged files are owned by the package
+ Package has no %doc stanza
+ Package contains proper %changelog stanza

Bad:
- htmlize-init file contains no copyright notice

TODO:
- Package doesn't contains a verbatin copy of the license, Please
ask upstream to include a verbatin copy of it

Comment 3 Jonathan Underwood 2009-01-20 21:40:12 UTC
Since this is just a single elisp file with the license at the top, it's probably overkill to ask the author to distribute a COPYING file with the elisp file. You could generate a license file during build time with eg.

head -21 %{SOURCE0} > COPYING 

and package that file as a %doc

Comment 4 Jonathan Underwood 2009-01-20 22:06:51 UTC
Oh, er, sorry. Ignore that, the stuff at the top isn't actually the GPL.

Comment 5 Debarshi Ray 2009-01-22 19:45:15 UTC
(In reply to comment #2)
 
> Bad:
> - htmlize-init file contains no copyright notice

Fixed.
 
> TODO:
> - Package doesn't contains a verbatin copy of the license, Please
> ask upstream to include a verbatin copy of it

Since this is distributed as a single Emacs Lisp file, I think it is futile to ask the upstream author to distribute a copy of the GPLv2.

Spec: http://rishi.fedorapeople.org/emacs-htmlize.spec
SRPM: http://rishi.fedorapeople.org/emacs-htmlize-1.34-2.fc10.src.rpm

Comment 6 Jochen Schmitt 2009-01-22 20:30:04 UTC
Ok, the package is fine for me. I hope you have contact the upstream author for including a verbatin copy of the license text into they upstream package.

So the package is APPROVED

Comment 7 Debarshi Ray 2009-01-24 10:45:39 UTC
New Package CVS Request
=======================
Package Name: emacs-htmlize
Short Description: Convert buffer text and decorations to HTML
Owners: rishi
Branches: F-9 F-10
InitialCC:

Comment 8 Kevin Fenzi 2009-01-25 01:55:42 UTC
cvs done.

Comment 9 Debarshi Ray 2009-01-27 19:11:46 UTC
Tagged and built for Fedora 9, Fedora 10 and Rawhide.


Note You need to log in before you can comment on or make changes to this bug.